%define	configdir		/etc

# RH 7.0
#%%define contentdir	/var/www/html/squid-reports
# RH 6.2
%define contentdir 		/home/httpd/html/squid-reports

Summary:    squid report generator per user/ip/name
Name:       sqmgrlog
Version:    3.0
Release:    2
URL:        http://web.onda.com.br/orso/
Source:     http://web.onda.com.br/orso/sqmgrlog-%{version}.tar.gz
Source1:	sqmgrlog-examples.tar.gz
Patch1:		topsites.patch.gz
Patch2:		totday.patch.gz
Patch3:		nbsp.patch.gz 
Copyright:  GPL
Group:      System Environment/Daemons
BuildRoot:  /var/tmp/%{name}-%{version}-root
Requires:   squid

%description
Sqmgrlog generate reports per user/ip/name from SQUID log file.
The reports will be generated in HTML or email.

%prep
%setup
%patch1
%patch2
%patch3

perl -pi -e "s;/usr/local/squid/logs/access.log;/var/log/squid/access.log;" *.c
perl -pi -e "s;/usr/local/etc/httpd/htdocs/squid-reports;%{contentdir};" *.c

%build
./configure --enable-prefix=/usr --enable-config=%{configdir}
make

%install
cp  %{SOURCE1} . 
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{configdir}
mkdir -p $RPM_BUILD_ROOT/%{contentdir}
make PREFIX=$RPM_BUILD_ROOT/%{_bindir} CONFIG=$RPM_BUILD_ROOT/%{configdir} install
strip -s $RPM_BUILD_ROOT/%{_bindir}/sqmgrlog

%files
%defattr(-,root,root)
%doc ChangeLog CO* README sqmgrlog-examples.tar.gz
%{_bindir}/sqmgrlog
%config(noreplace) %{configdir}/sqmgrlog.conf
%dir %{contentdir}

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Mar 01 2001 Henri Gomez <hgomez@slib.fr>
- applied latest patches (topsites, totday, nbsp)

* Thu Mar 01 2001 Henri Gomez <hgomez@slib.fr>
- upgrading to 3.0
- added contentdir set to RH 6.x by default 

* Thu Nov 09 2000 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- upgrading to 2.12
- dropping compat builds
- adding contentdir macro and %contentdir to %files

* Tue Jul 11 2000 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- upgrading to 2.11

* Sat Jun 10 2000 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- upgrading to 2.10

* Wed Mar 15 2000 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- upgrading to 2.9.9
 
* Sat Feb 26 2000 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- upgrading to 2.9.8

* Tue Feb 22 2000 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- rebuild from 2.9.7 "fresh sources"

* Thu Feb 17 2000 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- upgrading to 2.9.7

* Tue Feb  1 2000 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- changing spec allowing "compat" builds on RH6.x

* Fri Jan 21 2000 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- upgrading to 2.9.6

* Thu Jan 13 2000 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- upgrading to 2.9.5
- added striping of binary

* Tue Nov 30 1999 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- upgrading to 2.9.4
- changing defaults to RedHat's

* Thu Nov 25 1999 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- added userip patch for -p support on .conf (user_ip tag)
- added requires: squid
- added ip2name patch for fixing bug on -p and user report

* Tue Nov 23 1999 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- initial SPEC
